Bug 1547931 - Geo-replication is faulty on latest RHEL7.5 Snapshot2.0
Summary: Geo-replication is faulty on latest RHEL7.5 Snapshot2.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: geo-replication
Version: rhgs-3.3
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
: RHGS 3.3.1 Async
Assignee: Kotresh HR
QA Contact: Rochelle
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-22 10:14 UTC by Rahul Hinduja
Modified: 2018-04-04 04:11 UTC (History)
14 users (show)

Fixed In Version: glusterfs-3.8.4-54.4
Doc Type: Bug Fix
Doc Text:
An rsync failure due to the lazy umount of master volume by geo-replication worker, will result in the inability to resolve the absolute path for the files. With this fix, the master volume mount is retained throughout the life of the geo-replication worker and is not lazily unmounted. The mount is available via private mount namespace and only available to geo-replication worker and its descendants. Since rsync is spawned by geo-replication worker, it can resolve the absolute path and geo-replication is able to sync.
Clone Of: 1544382
Environment:
Last Closed: 2018-04-04 04:07:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1746995 None None None 2018-02-22 10:14:04 UTC
Red Hat Product Errata RHBA-2018:0631 None None None 2018-04-04 04:07:14 UTC

Comment 10 Atin Mukherjee 2018-03-23 09:37:58 UTC
Kotresh - can you please fill in the doc text?

Comment 22 errata-xmlrpc 2018-04-04 04:07:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0631


Note You need to log in before you can comment on or make changes to this bug.